- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gdirectory_unix_glob.cpp File Reference
`#include "gdef.h"`
`#include "gdirectory.h"`
`#include "gfile.h"`
`#include "gdebug.h"`
`#include "glog.h"`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <dirent.h>`
`#include <glob.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Classes
class | G::DirectoryIteratorImp
| A pimple-pattern implementation class for DirectoryIterator. More...

## Namespaces
| G
| Low-level classes.

## Functions
int | gdirectory_unix_on_error_ (const char *, int)

## Function Documentation

int gdirectory_unix_on_error_ | ( | const char * | ,
|  | int |
| ) |  |

Definition at line 128 of file gdirectory_unix_glob.cpp.

Referenced by G::DirectoryIteratorImp::DirectoryIteratorImp().